/*element principal en relatif pour permettre aux elements absolus d'etre positionnes*/
body {
    margin:0px;
    background-color: #6e5d376b;
    width: 100%;
  height: 100%;
    background-size: cover;
  background-position: 0 0;
  background-repeat: no-repeat;
  position: absolute;
  z-index: -1;
}


.truncate {
  width: 50%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
#titre { margin:0;
    position:absolute;
 white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  /* Required for text-overflow to do anything */
 
padding:0;font-family: 'Walter Turncoat', cursive;
    min-height: 7%;
    max-height:7%;
border:none;font-size:3.1vh; z-index:10;width:64%; text-align:center;  top:2.5% ; height:5vh;left:1.9%;}
/*on utilise un element image pour le fond, sinon il serait dependant de la taille d'ecran*/
#background {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
     width: 100%;
  height: 100%;
   margin: 0;
    padding: 0;
}

/*element d'attribution de l'image*/
#attribution {
    position: absolute;
    bottom: 5px;
    left: 5px;
}

/*Les differents elements positionnes en absolu*/
#enveloppe {
    position: absolute;
    width: 6.5%;
    height: 8.5%;
    top: 81%;
    left: 67%;
    display: block;
    transform: skew(-45deg,+6deg);
}
#puissance {
    position: absolute;
    top:25.5%;
    left:6%;
    height: 15%;
    width: 35%;
    transform: skew(3deg,4deg);
	display:block;
}
#code {
    position: absolute;
    top:32.5%;
    left:75.5%;
    height: 7.5%;
    width: 4.5%;
    transform: skew(0deg,0deg);
	display:block;
}
#triangle {
    position: absolute;
    top:14%;
    left:90%;
    
height: 10%;
width: 10%;
border-bottom: 8% solid black;
}
#ordinateur:hover {
    font-size: 1.15em;
}
#ampoule {
	     position: absolute;
    bottom: 720px;
    left: 80px;
    height:2rem;width:3rem;
border-radius: 1rem 4rem 4rem 3rem
}
#coussin {
     position: absolute;
    right: 520px;
    bottom: 470px;
    width: 130px;
    height: 100px;
    transform: skew(-20deg, 5deg);
}

#encyclopedie {
    position: absolute;
    top: 625px;
    right: 960px;    
    width: 30px;    
    height: 80px;    
    transform: skew(2deg,-1deg);
}



#petittableau {
 position: absolute;
    bottom: 670px;
    right: 830px;
    width: 40px;
    height: 30px;
    transform: skew(0deg,1deg);
}

#tableauloupe {
    position: absolute;
    left: 54px;
    top: 512px;
    height: 68px;
    width: 123px;
	transform: skew(0deg,11.5deg);
}



#tiroir {
       position: absolute;
    top: 1040px;
    left: 90px;
    height: 50px;
    width: 180px;
    transform: skew(2deg,-5deg);
}

#potfleur {
       position: absolute;
    right: 600px;
    top: 670px;
    height: 30px;
    width: 150px;
    transform: skew(0deg,-8Deg);
}

#grand_secret {
    position: absolute;
    left: 900px;
    top: 442px;
    width: 300px;
    height: 30px;
}

#placardmilieu {
    position: absolute;
    top: 845px;
    left: 875px;
    height: 140px;
    width: 86px;
    transform: skew(-1deg,-2Deg);
}

/*classe permettant le surlignage des elements cliquables*/
.hint:hover {

    cursor: pointer;
}

/*Fenêtre modale*/
#modal {
    display:  none;
    position: fixed;
    z-index: 10;
    padding-top: 20px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: #6e5d376b;
}

#modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    width: 50%;
    height: inherit;
    
}

#myImg {
    width: 100%;
    height: 100%;
    max-height: 920px;
}
  
/* The Close Button */
.close {
    color: white;
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 35px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #999;
    text-decoration: none;
    cursor: pointer;
}